apiVersion: apps/v1
kind: Deployment
metadata:
  name: moderation-depl
spec:
  replicas: 1
  selector:
    matchLabels:
      app: moderation
  template:
    metadata:
      labels:
        app: moderation
    spec:
      containers:
        - name: moderation
          image: emnak123/moderation
---
apiVersion: v1
kind: Service
metadata:
  name: moderation-srv
spec:
  selector:
    app: moderation
  ports: 
    - name: moderation
      protocol: TCP
      port: 4003
      targetPort: 4003


